Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calhoun.analysis.crf.features.tricycle13
Class ESTEdge

    java.lang.Object
      calhoun.analysis.crf.AbstractFeatureManager<CompositeInput>
          calhoun.analysis.crf.features.tricycle13.ESTEdge

All Implemented Interfaces:
  FeatureManager<CompositeInput>, FeatureManagerEdge<CompositeInput>, FeatureManagerNode<CompositeInput>, java.io.Serializable

    public class ESTEdge

extends AbstractFeatureManager<CompositeInput>
implements FeatureManagerNode<CompositeInput>, FeatureManagerEdge<CompositeInput>

See Also:
  Serialized Form

Constructor Summary
`ESTEdge()`

Method Summary
`void` | `evaluateEdge(InputSequence<? extends CompositeInput> seq, int pos, int prevState, int state, FeatureList result)` Evaluates the set of features managed by this object for the given arguments.
`void` | `evaluateNode(InputSequence<? extends CompositeInput> seq, int pos, int state, FeatureList result)` Evaluates the set of features managed by this object for the given arguments.
`CacheStrategySpec` | `getCacheStrategy()` caching strategy that the `CacheProcessor` should use to cache values for this feature.
`java.lang.String` | `getFeatureName(int featureIndex)` Returns a human identifiable name for the feature referenced by a given index.
`int` | `getNumFeatures()` Returns the number of features maintained by this `FeatureManager`.
`void` | `train(int startingIndex, ModelManager modelInfo, java.util.List<? extends TrainingSequence<? extends CompositeInput>> data)` Provides access to the entire training set so that FeatureManager can compute global properties and assign feature indices.

Methods inherited from class calhoun.analysis.crf.AbstractFeatureManager
`getInputComponent, setInputComponent`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getInputComponent, setInputComponent`

Methods inherited from interface calhoun.analysis.crf.FeatureManager
`getInputComponent, setInputComponent`

Constructor Detail

### ESTEdge

    public ESTEdge()

Method Detail

### getNumFeatures

    public int getNumFeatures()

  Description copied from interface: `FeatureManager`
  Returns the number of features maintained by this `FeatureManager`. This number must be fixed after the call to trainFeatures is complete.

  Specified by:
    `getNumFeatures` in interface `FeatureManager<CompositeInput>`
  Returns:
    number of features managed by this `FeatureManager`

### getFeatureName

    public java.lang.String getFeatureName(int featureIndex)

  Description copied from interface: `FeatureManager`
  Returns a human identifiable name for the feature referenced by a given index. Used for display purposes only.

  Specified by:
    `getFeatureName` in interface `FeatureManager<CompositeInput>`
  Parameters:
    `featureIndex` - the index of this feature
  Returns:
    the human readable name of this feature

### evaluateNode

    public void evaluateNode(InputSequence<? extends CompositeInput> seq,
                             int pos,
                             int state,
                             FeatureList result)

  Description copied from interface: `FeatureManagerNode`
  Evaluates the set of features managed by this object for the given arguments.

  Specified by:
    `evaluateNode` in interface `FeatureManagerNode<CompositeInput>`

### evaluateEdge

    public void evaluateEdge(InputSequence<? extends CompositeInput> seq,
                             int pos,
                             int prevState,
                             int state,
                             FeatureList result)

  Description copied from interface: `FeatureManagerEdge`
  Evaluates the set of features managed by this object for the given arguments.

  Specified by:
    `evaluateEdge` in interface `FeatureManagerEdge<CompositeInput>`

### train

    public void train(int startingIndex,
                      ModelManager modelInfo,
                      java.util.List<? extends TrainingSequence<? extends CompositeInput>> data)

  Description copied from interface: `FeatureManager`
  Provides access to the entire training set so that FeatureManager can compute global properties and assign feature indices. This will be called before any evaluations are requested. If the FeatureManager can have a variable number of features, this must be fixed within this method.

  Specified by:
    `train` in interface `FeatureManager<CompositeInput>`
  Parameters:
    `startingIndex` - the feature index of the first feature owned by this FeatureManager. Each FeatureManager must use up consecutive indexes, so the last index used will be startingIndex + numFeatures - 1.
    `modelInfo` - the model that contains this feature
    `data` - the full list of training sequences to use to train the feature

### getCacheStrategy

    public CacheStrategySpec getCacheStrategy()

  Description copied from interface: `FeatureManager`
  caching strategy that the `CacheProcessor` should use to cache values for this feature. This is only a hint, the cache processor is not required to use this (or any) caching strategy. This base class defaults to the UNSPECIFIED cache strategy.

  Specified by:
    `getCacheStrategy` in interface `FeatureManager<CompositeInput>`
  Overrides:
    `getCacheStrategy` in class `AbstractFeatureManager<CompositeInput>`
  Returns:
    cache strategy specification appropriate for this feature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD